Skip to main content
POST
/
lists
/
{id}
/
move-leads
Move many leads to a list
curl --request POST \
  --url https://api.breakcold.com/rest/lists/{id}/move-leads \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "id_source": "<string>",
  "filter": {
    "leads": [
      "<string>"
    ],
    "not_leads": [
      "<string>"
    ],
    "is_company": true,
    "is_contract": true,
    "is_tracked": true,
    "ai_enabled": true,
    "search": "<string>",
    "has_icebreaker": true,
    "tags": [
      "<string>"
    ],
    "status": [
      "<string>"
    ],
    "has_list": true,
    "has_no_list": true,
    "lists": [
      "<string>"
    ],
    "has_owner": true,
    "has_no_owner": true,
    "owners": [
      "<string>"
    ],
    "score": [
      "<string>"
    ],
    "attributes": [
      {
        "id": "<string>",
        "value": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://api.breakcold.com/rest/lists/{id}/move-leads"

payload = {
"id_source": "<string>",
"filter": {
"leads": ["<string>"],
"not_leads": ["<string>"],
"is_company": True,
"is_contract": True,
"is_tracked": True,
"ai_enabled": True,
"search": "<string>",
"has_icebreaker": True,
"tags": ["<string>"],
"status": ["<string>"],
"has_list": True,
"has_no_list": True,
"lists": ["<string>"],
"has_owner": True,
"has_no_owner": True,
"owners": ["<string>"],
"score": ["<string>"],
"attributes": [
{
"id": "<string>",
"value": "<string>"
}
]
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id_source: '<string>',
filter: {
leads: ['<string>'],
not_leads: ['<string>'],
is_company: true,
is_contract: true,
is_tracked: true,
ai_enabled: true,
search: '<string>',
has_icebreaker: true,
tags: ['<string>'],
status: ['<string>'],
has_list: true,
has_no_list: true,
lists: ['<string>'],
has_owner: true,
has_no_owner: true,
owners: ['<string>'],
score: ['<string>'],
attributes: [{id: '<string>', value: '<string>'}]
}
})
};

fetch('https://api.breakcold.com/rest/lists/{id}/move-leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Body

application/json
id_source
string
required
filter
object
required

Response

Successful response

The response is of type string.